Jump to content

[RESOLU]Fedora 9


Recommended Posts

Bonjour, bonsoir

J'ai installé la fédora 9 et je me retrouve dans l'impossibilité de faire des MAJ

J'ai lancé yum dans une console ca plante_

Voila le message d'eereur aprés avoir lancé la commande

yum update -t --nogpgcheck --skip-broken (en root)

Résumé de la transaction

=============================================================================

Installation 13 Paquetage(s)

Mise à jour 402 Package(s)

Suppression 0 Package(s)

Taille totale : 685 M

Est-ce correct [o/N] : o

Téléchargement des paquetages :

Lancement de rpm_check_debug

erreur: rpmdbNextIterator: on saute h# 819 Entête V3 DSA signature: BAD, key ID 4f2a6fd2

erreur: rpmdbNextIterator: on saute h# 819 Entête V3 DSA signature: BAD, key ID 4f2a6fd2

erreur: rpmdbNextIterator: on saute h# 819 Entête V3 DSA signature: BAD, key ID 4f2a6fd2

erreur: rpmdbNextIterator: on saute h# 819 Entête V3 DSA signature: BAD, key ID 4f2a6fd2

erreur: rpmdbNextIterator: on saute h# 819 Entête V3 DSA signature: BAD, key ID 4f2a6fd2

erreur: rpmdbNextIterator: on saute h# 819 Entête V3 DSA signature: BAD, key ID 4f2a6fd2

erreur: rpmdbNextIterator: on saute h# 819 Entête V3 DSA signature: BAD, key ID 4f2a6fd2

erreur: rpmdbNextIterator: on saute h# 819 Entête V3 DSA signature: BAD, key ID 4f2a6fd2

erreur: rpmdbNextIterator: on saute h# 819 Entête V3 DSA signature: BAD, key ID 4f2a6fd2

ERREUR de résolution de dépendance par rpm_check_debug :

Traceback (most recent call last):

File "/usr/bin/yum", line 29, in <module>

yummain.user_main(sys.argv[1:], exit_code=True)

File "/usr/share/yum-cli/yummain.py", line 241, in user_main

errcode = main(args)

File "/usr/share/yum-cli/yummain.py", line 193, in main

base.doTransaction()

File "/usr/share/yum-cli/cli.py", line 377, in doTransaction

print msg

File "/usr/lib/python2.5/codecs.py", line 303, in write

data, consumed = self.encode(object, self.errors)

UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 22: ordinal not in range(128)

Si vous avez une idéée....

Link to comment
Share on other sites

Salut :)

Bon, d'abord, dis moi ce que tu as comme dépôts (Livna, Kwizart, Remi, etc... ?)

ensuite, tu vas me faire le plaisir de virer le "-t --nogpgcheck --skip-broken"! tu veux détruire ton linux à petits feux ou quoi!?

Une fois que c'est fait, dis moi si tu reçois toujours des messages d'erreur, et si oui, lesquelles... en fonction, je pourrai t'aider... :)

Link to comment
Share on other sites

Fedora 9 Sulfur (?)

Noyaux 2.6.25

Pour le yum update :

Résumé de la transaction
=============================================================================
Installation	 13 Paquetage(s)		 
Mise à jour	 402 Package(s)		 
Suppression	   0 Package(s)		 

Taille totale : 685 M
Est-ce correct [o/N] : o
Téléchargement des paquetages :
Lancement de rpm_check_debug
error: rpmdbNextIterator: skipping h#	 819 Header V3 DSA signature: BAD, key ID 4f2a6fd2
error: rpmdbNextIterator: skipping h#	 819 Header V3 DSA signature: BAD, key ID 4f2a6fd2
error: rpmdbNextIterator: skipping h#	 819 Header V3 DSA signature: BAD, key ID 4f2a6fd2
error: rpmdbNextIterator: skipping h#	 819 Header V3 DSA signature: BAD, key ID 4f2a6fd2
error: rpmdbNextIterator: skipping h#	 819 Header V3 DSA signature: BAD, key ID 4f2a6fd2
error: rpmdbNextIterator: skipping h#	 819 Header V3 DSA signature: BAD, key ID 4f2a6fd2
error: rpmdbNextIterator: skipping h#	 819 Header V3 DSA signature: BAD, key ID 4f2a6fd2
error: rpmdbNextIterator: skipping h#	 819 Header V3 DSA signature: BAD, key ID 4f2a6fd2
error: rpmdbNextIterator: skipping h#	 819 Header V3 DSA signature: BAD, key ID 4f2a6fd2
ERREUR de résolution de dépendance par rpm_check_debug :
libkpathsea.so.4 is needed by evince-dvi-2.22.2-1.fc9.ppc
Complété !

Mais acune MAJ de faites...

Link to comment
Share on other sites

Alors... déjà, vérfifies que yum-updatesd ne soit pas lancé :

ps aux | grep yum

si c'est le cas, tu le kill :resolu:

Ensuite, tu prends mon yum.repos.d.tar et tu le mets dans ton /etc/yum.repo.d à la place de tes fichiers à toi.

la seule différence, c'est que j'ai déjà mis les clé GPG, et que j'ai quelques dépôts utiles....

après, si ça marche toujours pas, on va s'y mettre sérieusement... ;)

Link to comment
Share on other sites

J'ai tenté un yum clean all et un update ensuite.

Là il a mis pas mal de temps à DL 600 Mo de MAJ puis ca finit avec cette même erreur ...

Pour tes dépots, je suis sur une machine PPC et non intel....

Bon ben on verra la suite demain.

Merci

Link to comment
Share on other sites

héhé on va s'amuser alors...

un truc long et chiant en faite... je t'explique d'abord le raisonnement :

Ce ne sont pas TOUS les paquetages qui font ça, mais juste un ou deux... mais il va falloir repérer lequel. Dans ce but, mon ami, tu vas devoir les installer presqu'un par un...

commences par installer en bloque tout ce qui concerne yum...

yum install *yum*

Ensuite, tu vas aller trouver les versions pour PPC des dépôts Livna, Remi et Kwizart. Ce soit les trois vraiment utiles... si tu en as d'autres, vires les.

Une fois ue t'as fait ça, retentes un p'tit coup de yum update... là on ne sait jamais... mais ça m'étonnerait que ça marche.

Maintenant, tu fermes ton terminal, et tu ouvres "yumex"

Il va te demander le mot de passe root, puis il va tenter les mises à jours... d'abord tentes de cliquer sur "TOUT SÉLECTIONNER", et de traiter les paquetages... là t'as déjà 50% de chances que ça marche... mais si ça ne marche toujours pas, tu cliques sur le troisième volet à gauche en partant du haut, et là, t'as toute la liste des paquages à mettre à jours...

et c'est là que le jeux marrant commence :

coches tout ce qui commence par un A .... lances le. Si ça marche, passes au B, sinon, coches les paquetages un par un... et ainsi de suite pour toutes les lettres de l'alphabet et jusqu'à ce qu'il ne te reste que les paquetages qui ne fonctionnent pas.

Quand t'auras fini, dis moi quels sont ces paquetages, et on pourra peut être trouver le moyen des les installer quand même... :incline:

Link to comment
Share on other sites

Ben en fait j'ai testé un yum update firefox et ca a marché.

ca tombe bien car la béta faisait pas mal de freeze.

Et je tente le yum upadate a* en faiisant défiller l'alphabet et on verra bien quand ca plantera

Link to comment
Share on other sites

ouai essayes... mais j'aime pas ma solution, parceque c'est tout en graphique, t'as plus qu'à cocher... et puis avec le yum install *yum*, t'as plein de modules de yum assez intéressants qui s'installent... vérifies, tu verras... :chinois:

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...